# portal_user configuration

server notls {
	bind 127.0.0.1 8888
	tls no
}

load		./portal_user.so init

http_body_max			1024000000
http_body_disk_offload		1024000

workers				1


validator	v_login	regex		^[-_.a-zA-Z0-9]*$
validator	v_password		function	v_password_func
validator	v_session	function	v_session_validate

pledge	wpath	cpath	flock 

authentication auth_example {
	authentication_type		cookie
	authentication_value		session_id
	authentication_validator	v_session
	authentication_uri		/
}


domain * {
	attach		notls


	accesslog kore_access.log

	
	route /  portal_user_load
	route /css/style.css asset_serve_style_css
	route /js/theme-switcher.js asset_serve_theme_switcher_js
	route /signup create_user
        route /portal/bienvenue asset_serve_private_test_html auth_example

        params post / {
		validate	login		v_login
		validate	password	v_password
                }
	params post /signup {
		validate	login		v_login
		validate	password	v_password
                }

}
